Summary:	An archive manager for GNOME.
Name:		file-roller
Version:   	2.4.4
Release:	1mdk
License:	GPL
URL:		http://fileroller.sourceforge.net
Group:		Archiving/Compression
Source0:	%{name}-%{version}.tar.bz2
Source1:	%name-48.png
Source2:	%name-32.png
Source3:	%name-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:  scrollkeeper
PreReq:		scrollkeeper >= 0.3

%description
File Roller is an archive manager for the GNOME environment.  This means that 
you can : create and modify archives; view the content of an archive; view a 
file contained in the archive; extract files from the archive.
File Roller is only a front-end (a graphical interface) to archiving programs 
like tar and zip. The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress, lzop

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):command="%{name}" \
needs="x11" \
section="Applications/Archiving/Compression" \
title="File-Roller" \
longtitle="An archive manager for GNOME" \
icon="%name.png" startup_notify="true"
EOF

# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}-2.0 --with-gnome --all-name

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{la,a}

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/file-roller.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/file-roller
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/file-roller.png
%{_datadir}/omf/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%ghost %{_datadir}/gnome/help/%{name}/C/%name.html


%changelog
* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- new version

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.3-1mdk
- new version

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix installation (thanks to Frederik Himpe)

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.1-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.5-1mdk
- Release 2.3.5

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4-1mdk
- Release 2.3.4

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Add schema uninstall

* Thu Jul 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.1-1mdk
- Release 2.3.1

* Tue Jan 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest openssl
- Add yelp cache generation

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Mon Dec  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-2mdk
- BuildRequires

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.109-1mdk
- Release 1.109

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.108-3mdk
- buildrequires libgtk+-x11-2.0_0-devel

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.108-2mdk
- add menu

* Mon Jul  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.108-1mdk
- Release 1.108

* Wed Jun 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.107-2mdk
- buildrequires on libgail-devel

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.107-1mdk
- Release 1.107

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.106-1mdk
- Release 1.106

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.105-1mdk
- Initial Mdk Package
